Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jetty.security
Interface ConstraintAware

All Known Implementing Classes:
  ConstraintSecurityHandler

    public interface ConstraintAware

Version:
  $Rev: 4466 $ $Date: 2009-02-10 23:42:54 +0100 (Tue, 10 Feb 2009) $

Method Summary
`void` | `addConstraintMapping(ConstraintMapping mapping)` Add a Constraint Mapping.
`void` | `addRole(java.lang.String role)` Add a Role definition.
`java.util.List<ConstraintMapping>` | `getConstraintMappings()`
`java.util.Set<java.lang.String>` | `getRoles()`
`void` | `setConstraintMappings(java.util.List<ConstraintMapping> constraintMappings, java.util.Set<java.lang.String> roles)` Set Constraint Mappings and roles.

Method Detail

### getConstraintMappings

    java.util.List<ConstraintMapping> getConstraintMappings()

### getRoles

    java.util.Set<java.lang.String> getRoles()

### setConstraintMappings

    void setConstraintMappings(java.util.List<ConstraintMapping> constraintMappings,
                               java.util.Set<java.lang.String> roles)

  Set Constraint Mappings and roles. Can only be called during initialization.

  Parameters:
    `constraintMappings` -
    `roles` -

### addConstraintMapping

    void addConstraintMapping(ConstraintMapping mapping)

  Add a Constraint Mapping. May be called for running webapplication as an annotated servlet is instantiated.

  Parameters:
    `mapping` -

### addRole

    void addRole(java.lang.String role)

  Add a Role definition. May be called on running webapplication as an annotated servlet is instantiated.

  Parameters:
    `role` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.